Bug 183010 - print/fpdf: checksum mismatch
print/fpdf: checksum mismatch
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Thierry Thomas
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 23:40 UTC by John Marino
Modified: 2013-10-16 22:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2013-10-15 23:40:01 UTC
It looks like the tarball was rerolled, the sum is off by two bytes.


===> Fetching all distfiles required by fpdf-1.7,1 for building
=> SHA256 Checksum mismatch for fpdf17.tgz.
===>  Refetch for 1 more times files: fpdf17.tgz 
/distfiles/fpdf17.tgz                                  124 kB  108 kBps
===> Fetching all distfiles required by fpdf-1.7,1 for building
===> Fetching all distfiles required by fpdf-1.7,1 for building
=> SHA256 Checksum mismatch for fpdf17.tgz.
===>  Giving up on fetching files: fpdf17.tgz 
Make sure the Makefile and distinfo file (/usr/ports/print/fpdf/distinfo)
are up to date.  If you are absolutely sure you want to override this
check, type "make NO_CHECKSUM=yes [other args]".
*** Error code 1

Fix: 

verify and regenerate distinfo file.
Comment 1 Edwin Groothuis freebsd_committer 2013-10-15 23:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-10-16 22:11:35 UTC
Author: thierry
Date: Wed Oct 16 21:11:27 2013
New Revision: 330541
URL: http://svnweb.freebsd.org/changeset/ports/330541

Log:
  Tarball has been rerolled with the same version number.
  
  The only change is a CSS file :
  
  diff -urN fpdf17.orig/fpdf.css fpdf17/fpdf.css
  --- fpdf17.orig/fpdf.css	2008-06-08 20:45:41.000000000 +0200
  +++ fpdf17/fpdf.css	2008-07-19 15:04:48.000000000 +0200
  @@ -1,6 +1,6 @@
   body {font-family:"Times New Roman",serif}
   h1 {font:bold 135% Arial,sans-serif; color:#4000A0; margin-bottom:0.9em}
  -h2 {font:bold 100% Arial,sans-serif; color:#900000; margin-top:1.5em}
  +h2 {font:bold 95% Arial,sans-serif; color:#900000; margin-top:1.5em; margin-bottom:1em}
   dl.param dt {text-decoration:underline}
   dl.param dd {margin-top:1em; margin-bottom:1em}
   dl.param ul {margin-top:1em; margin-bottom:1em}
  
  Since I'm there, "stagify".
  
  PR:		ports/183010
  Submitted by:	marino

Modified:
  head/print/fpdf/Makefile
  head/print/fpdf/distinfo

Modified: head/print/fpdf/Makefile
==============================================================================
--- head/print/fpdf/Makefile	Wed Oct 16 21:03:48 2013	(r330540)
+++ head/print/fpdf/Makefile	Wed Oct 16 21:11:27 2013	(r330541)
@@ -3,6 +3,7 @@
 
 PORTNAME=	fpdf
 PORTVERSION=	1.7
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	print www
 MASTER_SITES=	http://www.fpdf.org/en/
@@ -27,7 +28,6 @@ PLIST_SUB=	FPDF_DIR=${FPDF_DIR}
 EXT2CNV=	afm css htm php txt
 DOCS=		FAQ.htm changelog.htm doc fpdf.css install.txt license.txt tutorial
 
-NO_STAGE=	yes
 do-fetch:
 	@if [ ! -f ${DISTDIR}/${DISTFILES} ]; then \
 	${FETCH_CMD} ${FETCH_BEFORE_ARGS}	\
@@ -35,12 +35,12 @@ do-fetch:
 	fi
 
 do-install:
-	${MKDIR} ${PREFIX}/${FPDF_DIR}
-	${INSTALL_DATA} ${WRKSRC}/fpdf.php ${PREFIX}/${FPDF_DIR}
-	(cd ${WRKSRC} && ${COPYTREE_SHARE} "font makefont" ${PREFIX}/${FPDF_DIR}/)
+	${MKDIR} ${STAGEDIR}${PREFIX}/${FPDF_DIR}
+	${INSTALL_DATA} ${WRKSRC}/fpdf.php ${STAGEDIR}${PREFIX}/${FPDF_DIR}
+	(cd ${WRKSRC} && ${COPYTREE_SHARE} "font makefont" ${STAGEDIR}${PREFIX}/${FPDF_DIR}/)
 .if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	(cd ${WRKSRC} && ${COPYTREE_SHARE} "${DOCS}" ${DOCSDIR}/)
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC} && ${COPYTREE_SHARE} "${DOCS}" ${STAGEDIR}${DOCSDIR}/)
 .endif
 
 post-install:

Modified: head/print/fpdf/distinfo
==============================================================================
--- head/print/fpdf/distinfo	Wed Oct 16 21:03:48 2013	(r330540)
+++ head/print/fpdf/distinfo	Wed Oct 16 21:11:27 2013	(r330541)
@@ -1,2 +1,2 @@
-SHA256 (fpdf17.tgz) = 6e74f2dead54f538c1080cf353bf1ef3f10e3363402f53aa9b2c8f7f232a3c3a
-SIZE (fpdf17.tgz) = 127075
+SHA256 (fpdf17.tgz) = 7c4299c02a344f5ef1219e23b690fdf913f0cf9445c9b6ee1bdccecf0e601c60
+SIZE (fpdf17.tgz) = 127077
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thierry Thomas freebsd_committer 2013-10-16 22:11:48 UTC
State Changed
From-To: open->closed


Fixed. 

Thanks for the notification!